#include "../include/gbSprite.hpp"

namespace GhulbusGraphics {

	gbSprite::gbSprite()
		:m_texture(NULL), m_position(0.0f, 0.0f, 0.0f)
	{
		;
	}

	gbSprite::~gbSprite()
	{
		;
	}

	void gbSprite::SetPosition(GhulbusMath::gbVector3<float> const& new_pos) {
		m_position = new_pos;
	}

	void gbSprite::GetPosition(GhulbusMath::gbVector3<float>* current_pos) {
		*current_pos = m_position;
	}

	gbTexture* gbSprite::GetTexture() {
		return m_texture;
	}
}

